#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include <curl/curl.h>

struct Input{
    std::vector<double> numbers;
    size_t bin_count{};
};

Input input_data(std::istream& in, bool prompt) {
    size_t number_count;
    if (prompt) {
        std::cerr << "Enter number count: ";
    }
    in >> number_count;

    if (prompt) {
        std::cerr << "Enter numbers: \n";
    }
    Input local;
    local.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; ++i) {
        in >> local.numbers[i];
    }
    if (prompt) {
        std::cerr << "Enter bucket: ";
    }
    in >> local.bin_count;

    return local;
};

using namespace std;

int main() {
    curl_global_init(CURL_GLOBAL_ALL);
    Input in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
